> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Groups

> Returns a paginated list of payroll reporting groups in APPROVED or SUBMITTED state.

Required scope: `payroll:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-payroll-groups
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-payroll-groups:
    get:
      operationId: getPayrollGroups
      summary: Get Payroll Groups
      x-toku-required-scope: payroll:read
      description: >-
        Returns a paginated list of payroll reporting groups in APPROVED or
        SUBMITTED state.


        Required scope: `payroll:read`. It also needs `compensation:read`.
      parameters:
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
        - name: rowsPerPage
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: state
          in: query
          required: true
          schema:
            type: string
            enum:
              - APPROVED
              - SUBMITTED
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayrollGroupsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPayrollGroupsResponse:
      type: object
      properties:
        groups:
          type: array
          items:
            type: object
            properties:
              payrollReportingGroupID:
                type: string
              groupName:
                type: string
              organizationName:
                type: string
              state:
                type: string
                enum:
                  - PENDING
                  - APPROVED
                  - SUBMITTED
              submittedAt:
                type:
                  - string
                  - 'null'
              items:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    itemType:
                      type: string
                      enum:
                        - VESTING
                        - LOCKUP
                        - WARRANT_LOCKUP
                    recipientID:
                      type: string
                    recipientName:
                      type: string
                    country:
                      type:
                        - string
                        - 'null'
                    grantID:
                      type: string
                    grantName:
                      type: string
                    sequenceNumber:
                      type: integer
                    eventDate:
                      type: string
                    settledDate:
                      type:
                        - string
                        - 'null'
                    vestingAmount:
                      type: string
                      pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$
                    token:
                      type:
                        - string
                        - 'null'
                    currency:
                      type:
                        - string
                        - 'null'
                    fmv:
                      type:
                        - string
                        - 'null'
                      pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$
                    grossGain:
                      type: string
                    taxRate:
                      type: string
                    totalTax:
                      type: string
                    tokensWithheld:
                      type: string
                    netTokens:
                      type: string
                    netFiatAmount:
                      type: string
                  required:
                    - id
                    - itemType
                    - recipientID
                    - recipientName
                    - country
                    - grantID
                    - grantName
                    - sequenceNumber
                    - eventDate
                    - settledDate
                    - vestingAmount
                    - token
                    - currency
                    - fmv
                    - grossGain
                    - taxRate
                    - totalTax
                    - tokensWithheld
                    - netTokens
                    - netFiatAmount
            required:
              - payrollReportingGroupID
              - groupName
              - organizationName
              - state
              - submittedAt
              - items
        pagination:
          type: object
          properties:
            page:
              type: integer
            rowsPerPage:
              type: integer
            totalCount:
              type: integer
          required:
            - page
            - rowsPerPage
            - totalCount
      required:
        - groups
        - pagination
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
